---
schema_version: "1"
id: 5126032f27429a5eaa82bf11f8358172ccb8b3301e66cd2c865defbca330f675
title: Domain Verification
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/references/generated-api-specs/mc_rest_domain_verfication.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6beded3610467aea8fa231e89d359e695c9f9745339893d367b27e6c5e30c63e
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
Domain Verification

# Domain Verification

Verify and manage the addresses and domains that are used to send email.

This table lists the use cases that the Domain Verification API supports.

| Supported Use Case | HTTP Method | URI |
| --- | --- | --- |
| Get domains | [GET](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=getDomains) | /messaging/v1/domainverification |
| Create a domain or address | [POST](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=createDomain) | /messaging/v1/domainverification |
| Update a domain or address | [POST](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=updateDomain) | /messaging/v1/domainverification/update |
| Delete a domain or address | [POST](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=deleteDomain) | /messaging/v1/domainverification/delete |
| Retrieve a verification token | [POST](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=retrieveDomainVerificationToken) | /messaging/v1/domainverification/verify |
| Bulk-create sender addresses | [POST](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=createDomainsBulk) | /messaging/v1/domainverification/bulk/insert |
| Register a domain | [POST](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=registerDomain) | /messaging/v1/domainverification/register |
| Push registered domains | [POST](/docs/marketing/marketing-cloud/references/mc_rest_domain_verfication?meta=pushRegisteredDomains) | /messaging/v1/domainverification/push |

**Version:** 1.0

## Servers

*   `https://{subdomain}.rest.marketingcloudapis.com`
    *   `subdomain (default N/A) The unique API subdomain for your Marketing Cloud Engagement tenant. You can find this value in the Installed Packages section of Marketing Cloud Engagement Setup.`

## Operations

### GET Get domains

`GET /messaging/v1/domainverification`

Operation ID: `getDomains`.

Retrieves a list of email addresses and domains that can be used to send email from a Marketing Cloud Engagement account. This operation returns both verified and unverified addresses and domains. You can sort and filter the list.

Required permission scope: Email | Read

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    
*   `$page` (query, string) The page of results to retrieve. Each page includes the number of records specified by the `$pagesize` parameter. You can retrieve additional pages by incrementing this number in subsequent calls.
*   `$pageSize` (query, number) The number of records to return on each page of results. The default value is 25.
*   `$orderBy` (query, string) The field and sort method to use to sort the results. You can sort on these fields: `domain`, `status`, `issendable`, `domaintype`, and `modifieddate`. You can sort these fields in ascending (`ASC`) or descending (`DESC`) order. The default value is 'domainType ASC'.
*   `$filter` (query, string) A filter to apply to the results. You can filter on the values of the `status`, `issendable`, and `domaintype` fields. Filters use the format `FIELD_NAME in (VALUE1, VALUE2)`.

#### Responses

*   **200** Indicates that the API accepted the request to list the domains for the current account.
    
    Media type: `application/json`. Schema: `domainGetResponseBody`.
    
    _Example_
    
    ```
    {
      "page": 1,
      "pageSize": 50,
      "count": 2,
      "items": [
        {
          "enterpriseId": 314159,
          "domain": "noreply.salesforce.com",
          "status": "Verified",
          "domainType": "SAP",
          "isSendable": true,
          "memberId": 314159,
          "emailSendTime": "2023-08-05T11:39:29.61"
        },
        {
          "enterpriseId": 314159,
          "domain": "test@example.org",
          "status": "Pending",
          "domainType": "UserDomain",
          "isSendable": true,
          "memberId": 314159,
          "emailSendTime": "2023-10-09T17:58:54.183"
        }
      ]
    }
    ```
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

### POST Create a domain

`POST /messaging/v1/domainverification`

Operation ID: `createDomain`.

Creates an email or domain record. When you create a record, Marketing Cloud Engagement sends a verification email.

Required permission scope: Email | Write

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `createDomainRequestBody`.

#### Responses

*   **201** Indicates that the API accepted the request to add the address or domain. This response is returned as a plain text string. Most other operations return a JSON object.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    
    _Example_
    
    ```
    jose.figueroa@example.com successfully added.
    ```
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

### POST Update an address or domain

`POST /messaging/v1/domainverification/update`

Operation ID: `updateDomain`.

Updates the status of the `IsSendable` field for an email address or domain record.

Required permission scope: Email | Write

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `updateDomainRequestBody`.

#### Responses

*   **200** Indicates that the API accepted the request to update or delete the address or domain. This response is returned as a plain text string, as opposed to most other operations, which return a JSON object.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    
    Example: `1 records successfully updated!`.
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

### POST Delete an address or domain

`POST /messaging/v1/domainverification/delete`

Operation ID: `deleteDomain`.

Deletes an email address or domain record.

Required permission scope: Email | Write

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `deleteDomainRequestBody`.

#### Responses

*   **200** Indicates that the API accepted the request to update or delete the address or domain. This response is returned as a plain text string, as opposed to most other operations, which return a JSON object.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    
    Example: `1 records successfully updated!`.
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

### POST Retrieve a domain verification token

`POST /messaging/v1/domainverification/verify`

Operation ID: `retrieveDomainVerificationToken`.

Retrieves a verification token for a domain. If the DNS configuration of the domain contains a TXT record that has a value equal to this token, the status of the domain changes to verified. In order to send email from a domain, it must be verified.

Required permission scope: Email | Write

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `getDomainTokenRequestBody`.

#### Responses

*   **200** Indicates that the API accepted the request to retrieve the domain verification token.
    
    Media type: `application/json`. Schema: `domainTokenResponseBody`.
    
    _Example_
    
    ```
    {
      "domain": "example.com",
      "key": "SFMC-6BGTri-q0HTDufy88CndEqlMhO_0l5Xcoy8zCiVJ"
    }
    ```
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

### POST Create domains in bulk

`POST /messaging/v1/domainverification/bulk/insert`

Operation ID: `createDomainsBulk`.

Creates multiple sender email address records. The specified notification email address receives an email when all of the email address records have been created.

Required permission scope: Email | Write

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `createDomainBulkRequestBody`.

#### Responses

*   **201** Indicates that the API accepted the request to add the addresses or domains.
    
    Media type: `application/json`. Schema: `domainCreateBulkResponseBody`.
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

### POST Register an email domain

`POST /messaging/v1/domainverification/register`

Operation ID: `registerDomain`.

Registers a new domain to use for sending email. If the API accepts your request, it outputs a unique token. To complete the domain verification process, you must add this token to the DNS configuration for the domain as a TXT record.

Required permission scope: Email | Write

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `getDomainTokenRequestBody`.

#### Responses

*   **200** Indicates that the API accepted the request to retrieve the domain verification token.
    
    Media type: `application/json`. Schema: `domainTokenResponseBody`.
    
    _Example_
    
    ```
    {
      "domain": "example.com",
      "key": "SFMC-6BGTri-q0HTDufy88CndEqlMhO_0l5Xcoy8zCiVJ"
    }
    ```
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

### POST Push registered domains to other business units

`POST /messaging/v1/domainverification/push`

Operation ID: `pushRegisteredDomains`.

Makes one or more registered domains available in other business units (BUs) that share an Enterprise ID (EID).

Required permission scope: Email | Write

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that allows you to issue requests to the API. Replace `YOUR_ACCESS_TOKEN` with your API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `pushDomainsRequestBody`.

#### Responses

*   **200** Indicates that the API accepted the request to push the domains to other business units.
    
    Media type: `application/json`. Schema: `domainPushResponseBody`.
    
    _Example_
    
    ```
    [
      {
        "domain": "example.org",
        "message": "Success"
      },
      {
        "domain": "example.edu",
        "message": "Success"
      }
    ]
    ```
    
*   **400** Indicates that the request contained information that the API couldn't process. When you receive a 400 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that the API wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Authorized"
    }
    ```
    
*   **403** This response indicates that the API accepted your request but couldn't authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
    
    Media type: `application/json`. Schema: `mceErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "",
      "errorcode": 20002,
      "message": "Insufficient privileges to complete this action."
    }
    ```
    
*   **500** Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
    
    Media type: `application/json`. Schema: `httpErrorResponseBody`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

## Schemas

### domainGetResponseBody

*   `page` (_number_) The current page of results. Each page includes the number of records specified by the `pagesize` parameter. You can retrieve additional pages by incrementing this number in subsequent calls.
*   `pageSize` (_number_) The maximum number of results returned in a page of results.
*   `count` (_number_) The number of results in the current page of results.
*   `items` (_array of object_)
    *   `enterpriseId` (_number_) The enterprise ID of the parent account.
    *   `domain` (_string_) A domain or email address used for sending email.
    *   `status` (_string_) The verification status of the domain or address.
    *   `domainType` (_string_) The type of domain or address.
    *   `isSendable` (_boolean_) Indicates whether the address or domain can be used to send email.
    *   `memberId` (_number_) The member ID (MID) of the account that contains the address or domain.
    *   `emailSendTime` (_string_) A timestamp that indicates when the verification email was sent.

### mceErrorResponseBody

*   `documentation` (_string_) An empty string.
*   `errorcode` (_integer_) An internal error code. For a complete list of error codes, see [Handle Errors in REST API](https://developer.salesforce.com/docs/marketing/marketing-cloud/guide/error-handling.html).
*   `message` (_string_) The error message.

### httpErrorResponseBody

*   `documentation` (_string_) Contains a link to the [Marketing Cloud Engagement developer documentation page about handling REST API errors](https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm).
*   `errorcode` (_integer_) The error code. In some situations, this value can be 0.
*   `message` (_string_) The error message.

### createDomainRequestBody

*   `domain` (_string_) The email address or domain to add.

_Example_

```
{
  "domain": "jose.figueroa@example.com"
}
```

### updateDomainRequestBody

Array of `object`.

*   `emailAddress` (_string_) The email address or domain to update.
*   `isSendable` (_boolean_) The value to apply to the `isSendable` attribute for the specified address or domain. If you specify a value of `false`, the email address or domain can't be used to send email after the update operation. If you specify `true`, the address or domain can be used to send email.

_Example_

```
[
  {
    "emailAddress": "jose.figueroa@example.com",
    "isSendable": false
  },
  {
    "emailAddress": "jamal.cooks@example.com",
    "isSendable": true
  }
]
```

### deleteDomainRequestBody

Array of `object`.

*   `emailAddress` (_string_) The email address or domain to delete.
*   `domainType` (_string_) The type of address or domain to delete.  
    Allowed values: `UserDomain`, `SAP`, `PrivateDomain`.

_Example_

```
[
  {
    "emailAddress": "jose.figueroa@example.com",
    "domainType": "UserDomain"
  },
  {
    "emailAddress": "jamal.cooks@example.com",
    "domainType": "UserDomain"
  }
]
```

### getDomainTokenRequestBody

*   `domain` (_string_) The domain to retrieve the verification token for.

_Example_

```
{
  "domain": "example.com"
}
```

### domainTokenResponseBody

*   `domain` (_string_) The domain that you requested a verification token for.
*   `key` (_string_) The verification token for the domain specified in the request.

### createDomainBulkRequestBody

*   `notificationEmail` (_string_) The email address to notify when all of the email address records have been created.
*   `addresses` (_array of string_) An array that contains the email addresses that you want to add. You can either specify this property or specify the `deTable` and `deColumn` properties.
    
    Each item: An email address.
    
*   `deTable` (_string_) The name of a data extension that contains email addresses that you want to add.
*   `deColumn` (_string_) The name of a column in the data extension that contains email addresses. This property is required if you specified the `deTable` property.

_Example_

```
{
  "notificationEmail": "administrator@example.com",
  "addresses": [
    "noreply@example.com",
    "marketing@example.com",
    "support@example.com"
  ],
  "deTable": "EmailSenderTable",
  "deColumn": "EmailAddress"
}
```

### domainCreateBulkResponseBody

*   `requestId` (_string_) A unique ID for the bulk creation request.

_Example_

```
{
  "requestId": "2dc35fd5-8ee6-4751-977b-6673d43480bf"
}
```

### pushDomainsRequestBody

*   `domainList` (_array of string_) A list of the domains to push to other Business Units that belong to your organization.

_Example_

```
{
  "domainList": [
    "example.com",
    "example.co.uk",
    "example.net"
  ]
}
```

### domainPushResponseBody

Array of `object`.

*   `domain` (_string_) A domain that you attempted to push to other business units in your enterprise.
*   `message` (_string_) Indicates whether the domain was successfully pushed to other accounts in your organization.